6.0.0-git
2019-08-19

[#1467] Bypass the Welcome screen and language selector
Summary Bypass the Welcome screen and language selector
Queue Horde Base
Queue Version 3.0.2
Type Enhancement
State Rejected
Priority 1. Low
Owners
Requester bulk (at) charlessoft (dot) com
Created 2005-03-01 (5284 days ago)
Due
Updated 2006-10-03 (4703 days ago)
Assigned
Resolved 2005-03-01 (5284 days ago)
Milestone
Patch No

History
2006-10-03 23:40:24 Jan Schneider Comment #9 Reply to this comment
Correct, it's a cpanel issue.
2005-09-18 00:17:55 ross (at) itomic (dot) com Comment #8 Reply to this comment
Thanks Jan. Getting back on topic, and just so I understand the issue 
a little more: are you saying that after logging in to Horde you do 
NOT get the Welcome screen and the Language drop-down selection box? 
If your answer to my question is 'yes', then this would imply to me 
that the 'problem' is not with Horde itself, but with the way Horde is 
implemented/integrated into cPanel.



Thanks.
2005-09-17 11:48:42 Jan Schneider Comment #7 Reply to this comment
In both IE and Firefox my default language is set to English (United
Kingdom) [en-gb]. Every time I access horde from Firefox or IE I get
the 'Welcome to Horde' message with the Language defaulting in the
select box to 'English (American)'. I notice that 'English (British)'
*is* an option in the select box, but Horde is obviously not getting
it right based on the default language in my either of my Internet
browsers.
Works fine here with both Firefox and IE. But this has nothing to do 
with this ticket, please create a new ticket if you consider this 
necessary.
2005-09-17 11:48:09 ross (at) itomic (dot) com Comment #6 Reply to this comment
Sorry - I should point out that I'm using cPanel/WHM on my server:

1. www.mydomain.com/webmail/

2. Enter username and password

3. Select horde or squirrelmail

4. Get Horde Welcome screen + language selection

5. Get to my inbox (at last!)



So perhaps the cPanel 'layer' where I choose Horde or squirrelmail is 
interfering with how Horde would work in a 'cleaner' environment?
2005-09-17 11:33:21 ross (at) itomic (dot) com Comment #5 Reply to this comment
Thanks for your reply.



All we're trying to achieve here is to remove the need to choose the 
default language every single time, i.e. remove unnecessary barrier 
from getting to your webmail just that little bit quicker.



In both IE and Firefox my default language is set to English (United 
Kingdom) [en-gb]. Every time I access horde from Firefox or IE I get 
the 'Welcome to Horde' message with the Language defaulting in the 
select box to 'English (American)'. I notice that 'English (British)' 
*is* an option in the select box, but Horde is obviously not getting 
it right based on the default language in my either of my Internet 
browsers.



So by all means, let Horde (correctly please!) guess my default 
language based on my Internet browser language settings, but I don't 
want to have to reconfirm my selection every single time I log back in 
subsequently.



Imagine if, every time you opened up IE you got a welcome message and 
a 'please select your preferred language' question? How annoying would 
that be?



Thanks for your comments.
2005-09-17 10:42:34 Jan Schneider Comment #4 Reply to this comment
You can set the preferred language in your browser and in Horde. A 
third option is really not necessary.
2005-09-17 10:21:30 ross (at) itomic (dot) com Comment #3 Reply to this comment
IMHO, Horde should remember the language last selected by the 
logged-in webmail user. Sure, by all means, the very first time 
someone logs in it's clever to offer up the language that the browser 
is set to, but after that first time it's just an annoyance. Surely 
Horde can store the preferred language and allow for this step to be 
bypassed whenever the user logs in subsequently?
2005-03-01 23:57:47 Jan Schneider Comment #2
State ⇒ Rejected
Reply to this comment
Horde uses the language set in your browser, you have the option to 
change this behaviour in config/nls.php and you can avoid the double 
login if you read the documentation.
2005-03-01 23:16:31 bulk (at) charlessoft (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Bypass the Welcome screen and language selector
Queue ⇒ Horde Base
Reply to this comment
When I log into my webmail account which is using Horde 3.0.2, I get a 
screen which says "Welcome to Horde" and allows me to choose my 
language. I do so, and click "Log In", at which point the sidebar 
loads and I can click on "Mail". However, when I do this, I get 
another welcome screen: "Welcome to Mail" which again prompts me for 
my language, and I must click "Log In" again.



It would be nice if it were possible to set Horde to skip the welcome 
screens and just use the default language unless I change it in the 
preferences, thus allowing me to get into my e-mail account with fewer 
clicks.

Saved Queries